Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


roytam1

My browser builds (part 2)

Recommended Posts

2 hours ago, looking4awayout said:

What about FF45 ESR with Goanna? Or even replacing the UI of FF45 ESR with the UI of K-Meleon?

since there is no gecko45 based goanna, but tenfourfox based engine.

and geckok45tff based K-Meleon is still under development in a very slow state.

  • Like 2

Share this post


Link to post
Share on other sites

55 minutes ago, 3dreal said:

The three browsers are shown on desktop of administrator account. Trying to install ontop of existing browser in restricted account with admin-right failed or i cannot find. they are visible in program(programme-folder). so it seems i must remove them. no deinstaller then?

Yes, no uninstaller exists at this time. I believe running the installer on the administrator account has modified permissions on the folder, so thats why the installer can’t automatically upgrade.

sorry for the confusion 

:) 

Edited by i430VX

Share this post


Link to post
Share on other sites
9 hours ago, roytam1 said:

OK thanks, it is nice to see it run on bare metal of old hardware.

then I'd keep IA32 branch intact. what else build should I build? as it is predicted pm28/bnav build will be almost the same performance as sp52.

A modern Opera Presto browser! :whistle:

-kidding! Kidding! 
I know you’re a mozilla guy...

 I’m not really sure, at this moment... I will try to think of a good thing, I suppose there is the question, what can you build that you haven't yet? :dubbio:

  • Like 1
  • Upvote 1

Share this post


Link to post
Share on other sites
53 minutes ago, roytam1 said:

since there is no gecko45 based goanna, but tenfourfox based engine.

and geckok45tff based K-Meleon is still under development in a very slow state.

Interesting to see a K-Meleon based FF45 ESR SSE... I like the simple UI of K-Meleon and porting it to FF45 would definitely reduce the strain on the CPU.

Australis sucks.

  • Like 1

Share this post


Link to post
Share on other sites

roytam1 said:
> then I'd keep IA32 branch intact. what else build should I build?
> as it is predicted pm28/bnav build will be almost the same performance as sp52

i430VX said:
> I will try to think of a good thing, I suppose there is the question, what can you build that you haven't yet?

LOL! Oh that's an easy choice, I for one am in growing desperate need of an OLDER K-Meleon version which runs fine on win98se with basic KernelEx (=KM1.6/1.7), just with modern ciphers built in. For example with the engine of Fx36 (3.6)

Just strongly suspect that gracious offer was meaning non-SSE-related builds ;-)

Guess I even have SSE2 (EDIT: oops, only SSE!), my prob is just that meanwhile 60-80% of all webpages are complete blocked in old browsers only due to missing ciphers. Again and again those *** ciphers! Who cares about old JS/CSS if you're not a fan of fancy social services or cloudy apps anyway, and must keep JS disabled for security and tiny RAM reasons too, but don't even get the html source of most websites today? KG74 is great as occasional life safer, but not for main use, it has a far too buggy GUI yet. Am sure those are just 'normal' bugs and could be solved rather easily some day once the reasons are figured out, just which exactly? Only know that e.g. upper/lowercase probs in the GUI cause crashing, under certain circumstances. But such fixes are not in sight at the horizon at all yet, and meanwhile just need those darn ciphers in a stable (old) KM, grmpf.

Yes I know there's already a cipher-updated Fx3.6 by Roy, which runs fine. The prob is just I can't tweak FF to my needs (with highly complicated addons), only KM (with simpler macros and css, plus complicated JS more and more).
KM1.6 (FF3.5): Am afraid the last sources weren't fully uploaded. The last official build was beta2, then KM went into hibernation and only the community posted important fixes and updates (until beta2.6, with last Seamonkey gecko engine). The prob is those updates are not stored in the SF-repo, nobody had access. But recently learned that after beta2 Dorian did actually create yet more fixes, which he hopefully uploaded too (are also used in the community builds), he just didn't get around to publish a completely package anymore:
http://kmeleonbrowser.org/forum/read.php?1,122806 at bottom
Additionally my hope is that even when a new build were based on an older repo version, it may be possible to just copy over some single files from the last community build.

KM1.7 (FF3.6) was only available as very buggy alpha version. Especially macrolanguage badly broken, no injectJS at all, let alone JS returning anything, so could never use this either. A few people actually posted they were using it as main browser and it was running stable for them. But those were browsing with JS enabled and didn't use many macros.
Some compiling hints were posted here http://kmeleonbrowser.org/forum/read.php?2,117161

looking4awayout said:
> Interesting to see a K-Meleon based FF45 ESR SSE... I like the simple UI of K-Meleon
> and porting it to FF45 would definitely reduce the strain on the CPU.

Cool, am definitely not used to someone actually liking that "simple UI" :D
Usually the prob is rather that this simplicity causes lots of "missing" functions, although many still do exist and work in the engine itself, just never made it into the GUI too for lack of dev time ;-)

Edited by siria
typo
  • Like 1

Share this post


Link to post
Share on other sites
18 hours ago, roytam1 said:

check your system time, and try with new profile

Hello RoyTam1, thank you!

"check your system time":

My system time is good, exact. Without spoofing user agent (by uMatrix and IPFlood), my real time zone is OK (looked with WHOER extended link: https://whoer.net/#extended ).

But with Zenmate extension - version 5.9.0 (so NOT webextension, from legacycollector.org by Wayback Machine)  enabled, have this "Insecure Connection" page (with yellow triangle with exclamation sign) on every website I would have attempted:

"Your connection is not secure

The owner of www. ... .com has configured their website improperly. To protect your information from being stolen, Serpent has not connected to this website.

This site uses HTTP Strict Transport Security (HSTS) to specify that Serpent may only connect to it securely. As a result, it is not possible to add an exception for this certificate."

If I click Advanced button: "Peer’s Certificate has expired."

So I disable Zenmate, restart the page and website is displayed.

 

With Browsec version 2.0.7 (not webext., from legacycollector.org by Wayback Machine) enabled, have another read:

"Secure Connection Failed

The connection to the server was reset while the page was loading.

    The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
    Please contact the website owners to inform them of this problem.
"

 

Maybe I made a bad change in about:config? I don't think so.

Disabled Bitdefender TrafficLight - no change.

KProxy extension doesn't connect to KProxy servers ... KProxy is waiting for your network proxy credentials ...(Connection Error). KProxy App not installed hmm, removed it quickly.

I think it's a certificate problem somewhere.

With CENT (Chrome) browser version 1.8.9.28 (portable, all my browsers are portable), the "UltraSurf Security, Privacy & Unblock VPN" v1.5.4 extension works flawlessly, Whoer states this. Then Zenmate Web Firewall v1.0.5 enabled - but doesn't work, says Whoer with my true IP ...

 

"try with new profile":

When sorting the new profile, I'm afraid of losing my bookmarks and extensions - I've never done this...

what do you think about, please

 

Edited by msfntor
added about Browsec experience...somewhere

Share this post


Link to post
Share on other sites
3 hours ago, i430VX said:

Yes, no uninstaller exists at this time. I believe running the installer on the administrator account has modified permissions on the folder, so thats why the installer can’t automatically upgrade.

sorry for the confusion 

:) 

so to make the browser_installation working on restricted account i must

1. delete all there folders. 2.

installation in restricted account with admin-privileges right? i can give the installer these right without changing the account itself. i will try. pls confirm first action of removal. will run ccleaner and regvac afterwards before new installations.

Share this post


Link to post
Share on other sites

msfntor said:
> When sorting the new profile, I'm afraid of losing my bookmarks and extensions - I've never done this...

Open page about:support, and look for the button or link to open the Profile folder.
In normal Mozilla browsers this contains everything of the current user profile.
All settings, bookmarks, history, extensions etc. (except in K-Meleon, which has more stuff shattered elsewhere)
Then step 1 level higher, there should be a file "profiles.ini" - right?
Make a backup copy of that whole folder and you're safe.
To be 100% sure, you could even copy the whole browser folder.

Now open "profiles.ini" in a text editor (notepad), and find this line:
StartWithLastProfile=1
"1" means "true" and means for the browser:
if several profiles exist, do NOT ask user at startup which he wants to use this time, just start with the last used profile.
You can change this to 0 (=false = not automatic) and restart the browser.
Now it should show the profile manager at startup with some options, incl. a button to "create" a new profile.
The new profile will not replace the current one, it will just be an additional one.
Am using myself multiple profiles for various reasons, find this very handy :-)

  • Like 1
  • Upvote 2

Share this post


Link to post
Share on other sites
1 hour ago, 3dreal said:

so to make the browser_installation working on restricted account i must

1. delete all there folders. 2.

installation in restricted account with admin-privileges right? i can give the installer these right without changing the account itself. i will try. pls confirm first action of removal. will run ccleaner and regvac afterwards before new installations.

yes. remove the program folders (profile folders can stay with the exception of KMgoanna if you have that, which you should back up manually.)
Then proceed to use the installer in your normal method on your normal account, as you have before the most recent version.

Edited by i430VX

Share this post


Link to post
Share on other sites

I personally would like to see a build of K-Meleon 1.5.x with TLS 1.2 support, or a build of RZ browser (Firefox Community Edition) 3.6.x. According to ssllabs.com, 63.4% of websites serveyed still have TLS 1.0 enabled (which is required for older K-Meleon, Seamonkey, and Firefox based web browsers). https://www.ssllabs.com/ssl-pulse/

Here is a RetroZilla MSFN forum that would be very interesting for these older browsers.

 

  • Like 1

Share this post


Link to post
Share on other sites
9 hours ago, siria said:

msfntor said:
> At the same time as I was logging in to MSFN via Serpent 55, I had an open Slimjet browser
> avec Zenmate enabled (but not functionning - why?), maybe there was any influence on the behavior of Serpent 55...

> If Zenmate extension enabled, I've this message page on all websites:
> "Your connection is not secure. ..." Click Advanced --> "Peer's certificate has expired."
> After disable my proxy extension, restart the page, website's content is here, OK.
> This happens to me in all browsers where I've downloaded proxy extension:
> Serpent 55, Serpent 52, New Moon 28, Firefox 45. For a long time.

Sorry I know hardly anything about proxies, but your problem seems completely independant from browsers. My non-expert impression:
the prob is only your systemwide, independant zenmate APP, which connects to its own server directly. Obviously your version is just too old, if it contains only outdated certs/ciphers. Or perhaps it uses the very old ciphers of the system.
But the used browsers don't matter, since they get the data only afterwards. After the app has already downloaded them from its own server, using a direct connection and it's own outdated ciphers. Roytam's fresh builds certainly contain modern ciphers.

You could try disabling that global app and connect with a normal browser proxy directly to the zenmate server, if knowing the necessary connection data, probably different for each fake country.
Zenmate offers own browser addons, but only in WebExt type.
For browsers using only 'legacy' power addons, a general proxy addon should work too, if IP etc is known.
K-Meleon has a proxy function already built in, configuration in F2>Network/Performance>Proxy

"For browsers using only 'legacy' power addons, a general proxy addon should work too, if IP etc is known." 

- sure, I've UltraSurf u1504.exe that I've used some years ago, but now it's not working at all, contacting server... then some windows: "An error occured, please send following debug info etc..." - so deleted this systemwide, independent UltraSurf APP. You're right: "Obviously ... version is just too old. Or perhaps it uses the very old ciphers of the system." My Windows is XP SP2.

My Zenmate addon I've downloaded from legacycollector, so surely legacy version well old, "too old ... uses very old ciphers".

"Roytam's fresh builds certainly contain modern ciphers."

- that's really reassuring, thanks!

 

PS.

I wonder, if anyone here has a proxy/VPN working in Windows XP?....

Edited by msfntor
UltraSurf

Share this post


Link to post
Share on other sites

ClassicNick said:
> I personally would like to see a build of K-Meleon 1.5.x with TLS 1.2 support,
> or a build of RZ browser (Firefox Community Edition) 3.6.x.

The prob with KM1.5 is that's it's SO extremely old (Firefox2), that really crucial functions are missing. For example in javascript doc.querySelector(), or in CSS break-word, the ability to wrap lines with superlong words by force-breaking those, or macrolanguage has no return-function for injectJS, etc.
But luckily even in vanilla98 it's not necessary anymore to use such ancient builds. Roytam created a fully functioning Firefox3.6 already two years ago, so it surely would be possible to create a vanilla98 version of KM1.6/1.7 too.
Awhile back have posted a little list of his retro builds here:
https://msfn.org/board/topic/178351-what-software-developed-by-roytam1-do-you-use/?tab=comments#comment-1163104

  • Like 1

Share this post


Link to post
Share on other sites
4 hours ago, siria said:

msfntor said:
> When sorting the new profile, I'm afraid of losing my bookmarks and extensions - I've never done this...

Open page about:support, and look for the button or link to open the Profile folder.
In normal Mozilla browsers this contains everything of the current user profile.
All settings, bookmarks, history, extensions etc. (except in K-Meleon, which has more stuff shattered elsewhere)
Then step 1 level higher, there should be a file "profiles.ini" - right?
Make a backup copy of that whole folder and you're safe.
To be 100% sure, you could even copy the whole browser folder.

... ...

Hmm in Profile folder i don't have profiles.ini - I don't see it.

Thank you very much, I will see all this tomorrow...

Edited by msfntor

Share this post


Link to post
Share on other sites
11 minutes ago, msfntor said:

Then step 1 level higher, there should be a file "profiles.ini" - right?

11 minutes ago, msfntor said:

Hmm in Profile folder i don't have profiles.ini - I don't see it.

Slight mistake in that first quote: profiles.ini is 2 levels higher, in folder containing "profiles" folder, not in profiles folder itself.

  • Upvote 1

Share this post


Link to post
Share on other sites
11 hours ago, Mathwiz said:

Slight mistake in that first quote: profiles.ini is 2 levels higher, in folder containing "profiles" folder, not in profiles folder itself.

In Serpent/Basilisk 55.0 about:support , then under Application Basics - Profile Folder item - but with Open Folder don't have profiles.ini. Too Profiles item - with about:profiles under Root Directory and Local Directory I don't have "profiles" folder, profiles.ini, sorry.

I think "profiles" folder are created automatically with user creating another profile ... I've never created another profile, that's why...

Edited by msfntor

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   1 member

×
×
  • Create New...